Subject: Re: bug#29080: 25.3; dired-x does not update `shell-command-history'

From: Eli Zaretskii <[email-masked]>
Date: Tue, 31 Oct 2017 22:24:56 +0200

> From: "Matz, Daniel A. (JSC-EG511)" <[email-masked]>
> Date: Tue, 31 Oct 2017 15:39:55 +0000
> 
> After starting emacs with -Q, if I open a dired buffer, use M-! to run a shell command, then use ! to run a shell command on a dired entry, and then look at the contents of `shell-command-history’, I’ll see both commands.  But then if I (require 'dired-x), run a shell command with M-!, and then another with !, the command I ran with ! on a dired entry does not show up in `shell-command-history’.

It's a feature: after loading dired-x, M-! runs a different command
(dired-smart-shell-command), which stores its history in a different
variable (dired-shell-command-history).